View Issue Details

IDProjectCategoryView StatusLast Update
0031825FPCFCLpublic2017-07-08 20:57
ReporterAndrey ZubarevAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0031825: fcl-passrc error with helpers
Descriptionprogram Project1;
{$MODE DELPHI}
uses sysutils;
type
  AStringHelper = record helper for string
    function toint:integer; overload;
  end;
function AStringHelper.toint:integer;
begin
  result:=strtoint(self)
end;
begin
  writeln('10'.toint);
end.

give "Expected "," at token "." in file E:\zcad\other\pudgb\bin\passrcerrors.pas at line 13 column 15"
TagsNo tags attached.
Fixed in Revision36682
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-07-08 16:06

administrator   ~0101615

Fixed, thanks for reporting.

Andrey Zubarev

2017-07-08 20:57

reporter   ~0101621

Thanks!

Issue History

Date Modified Username Field Change
2017-05-16 20:33 Andrey Zubarev New Issue
2017-05-20 12:27 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-05-20 12:27 Michael Van Canneyt Status new => assigned
2017-07-08 16:06 Michael Van Canneyt Fixed in Revision => 36682
2017-07-08 16:06 Michael Van Canneyt Note Added: 0101615
2017-07-08 16:06 Michael Van Canneyt Status assigned => resolved
2017-07-08 16:06 Michael Van Canneyt Fixed in Version => 3.1.1
2017-07-08 16:06 Michael Van Canneyt Resolution open => fixed
2017-07-08 16:06 Michael Van Canneyt Target Version => 3.2.0
2017-07-08 20:57 Andrey Zubarev Note Added: 0101621
2017-07-08 20:57 Andrey Zubarev Status resolved => closed